/************************************************************
****                                                     ****
**

project config file


**                                                         **
****                                                     ****
************************************************************/

#define OSBYTES_OF_DELAYS			1
#define OSCOMPILER 					OSHT_PICC	// compiler
#define OSTARGET	 					OSPIC16		// processor type

#define OSEVENTS	        			1				// number of events(binSem,messages) 1 QUEUEU
#define OSTASKS		      		3				// number of running tasks

//---------- MESSAGE QUEUES SUPPORT ---------------------
#define OSENABLE_MESSAGES				FALSE			// enable messages
#define OSBIG_MESSAGE_POINTERS		FALSE			// enable big messages pointing both RAM and ROM
#define OSCOMBINE_EVENT_SERVICES 	FALSE			// to make event services faster and smaller

#define OSENABLE_TIMEOUTS				FALSE		// enable timeout when waiting
#define OSENABLE_BINARY_SEMAPHORES	TRUE		// enable binary semaphores
#define OSENABLE_EVENT_TRYING		TRUE		// to allow OSTRY

#define OSCLEAR_WATCHDOG_TIMER()	asm("clrwdt")			// clear watchdog timer command

//----------- RAM destination of the SALVO resources -----

//#define OSLOC_ALL					bank1			// location of counters of RTOS	

