/*

	=======  S A L V O   K E R N E L   I N C L U D E   F I L E S ===========


	you should add into your project include paths to c:\salvo\source for THE NODE(HEX)
	and c:\salvo\include\ into your main project
	if you don't do this you'll receive multiple errors in your source file


 ======== all these files are needed for normal Salvo operation =========
 Be sure that you set the correct settings into salvocfg.h file for your project
 
 To reduce to size of the code, try to remove all unnessasry files from the list below


*/



#include "salvo.h"				// RTOS kernel main program 	(always include !!!)

#include "inittask.c"			// scheduler support 			(always include !!!)

#include "inittcb.c"				// scheduler support 			(always include !!!)

#include "initecb.c"				// scheduler support 			(always include !!!)

#include "task.c"					// scheduler support 			(always include !!!)

#include "sched.c"  				// SCHEDULER SUPPORT

#include "msg.c"					// when messages used

#include "msgq.c"					// when messages queues used

#include "binsem.c"				// binary semaphore routines
#include "binsem2.c"				// binary semaphore routines

#include "init.c"					// init RTOS 						(always include !!!)

#include "event.c"				// event procedures - message, queue, BinSemaphores and CountSemaphores

#include "util.c"					// mixeded functions (always include !!!)

#include "qins.c"					// insert event

#include "qdel.c"					// delete event

#include "delay.c"				// delay routines 

#include "timer.c"				// timer operations - when delay and timeout used

#include "mem.c"					// memory control

#include "chk.c"					// check integrity

#include "sem.c"					// semaphore support		



// ------- #include "eflag.c"			// when needed eflags

// ------- #include "eid.c"			// eflag support

// ------- #include "tick.c"						

// ------- #include "tid.c"						

// ------- #include "ver.c"						

// ------- #include "debug.c"			// when using OSRpt() 

// ------- #include "rpt.c"			// when using OSRpt()

// ------- #include "destroy.c"		// to destroy the task and reuse it's space 

// ------- #include "idle.c"			// for OSIdle() to create idle task to check the performance 

// ------- #include "license.c"		// to include into library - SALVO copy right 


#include "prio.c"			// when need to change the current priority of the task

// ------- #include "start.c"			// to start stopped task

// ------- #include "stop.c"			// to stop running task



